Page MenuHomePhabricator

Redesign Explore feed announcements card
Closed, ResolvedPublic2 Estimated Story Points

Description

Adapt current announcement card design to match the new style of the Explore Feed:

https://app.zeplin.io/project/57a120b91998d8977642a238/dashboard?seid=5f74b7a7059ce64d59a838ea

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2020, 4:40 PM
Charlotte triaged this task as Low priority.Sep 21 2020, 4:41 PM
Charlotte raised the priority of this task from Low to High.Sep 28 2020, 4:45 PM

Hi @schoenbaechler and @cmadeo

Found a question:

  1. There has no "title" in the announcement card, it is a part of the text from the endpoint and with a <strong>TITLE</strong>. It means the font-size is the same as the body of the message (16sp).
  2. Since the title and body of the message are the same, we cannot set the font-color or font-size separately unless we change both of the code in the Android side and the endpoint side.
cooltey added a comment.EditedOct 19 2020, 9:07 PM

Hi @schoenbaechler

Please download the APK to test the changes: T263259#6565144

Perfect thx @cooltey. Moving it to QA signoff!

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.50334-alpha-2020-11-09

Dbrant closed this task as Resolved.Wed, Nov 18, 5:07 PM